package cz.moneta.test.dsl.ib.messages;

import cz.moneta.test.harness.support.web.Builder;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Wait;

public interface IbMailsLeftMenu extends Builder {
    String NAV_LIST_PARENT = "//ul[@id = 'navList']";
    String ARRIVED_MAILS = NAV_LIST_PARENT + "//a[text() = 'Doručené zprávy']";
    String SENT_MAILS = NAV_LIST_PARENT + "//a[text() = 'Odeslané zprávy']";
    String NEW_MAIL = NAV_LIST_PARENT + "//a[text() = 'Napsat novou zprávu']";

    @Wait(ARRIVED_MAILS)
    @Click(ARRIVED_MAILS)
    IbArrivedMailsPage clickOnArrivedMails();

    @Wait(SENT_MAILS)
    @Click(SENT_MAILS)
    IbSentMessagePage clickOnSentMails();

    @Wait(NEW_MAIL)
    @Click(NEW_MAIL)
    IbWriteNewMailPage clickOnNewMail();

}
